post
/v9/storage/iscsi-targets/{iscsiTargetObjectId}/iscsi-logical-units
Adds an iSCSI logical unit to an iSCSI target. The logical unit is assigned the next free LUN ID associated with the iSCSI target.
Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.
Path parameters
iscsiTargetObjectId
String
required
Object ID of the iSCSI target
Object ID of the iSCSI target
Example:
313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56
CLIENT REQUEST
curl -X 'POST'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://172.27.146.40:8444/v9/storage/iscsi-targets/{iscsiTargetObjectId}/iscsi-logical-units'
-d
''
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
payload = "{\"logicalUnit\":1,\"logicalUnitId\":\"LUN1\"}"
headers = {
'Authorization': "Basic REPLACE_BASIC_AUTH",
'content-type': "application/json"
}
conn.request("POST", "/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
request["content-type"] = 'application/json'
request.body = "{\"logicalUnit\":1,\"logicalUnitId\":\"LUN1\"}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"logicalUnit": 1,
"logicalUnitId": "LUN1"
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://172.27.146.40:8444/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://172.27.146.40:8444/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.header("content-type", "application/json")
.body("{\"logicalUnit\":1,\"logicalUnitId\":\"LUN1\"}")
.asString();import Foundation
let headers = [
"Authorization": "Basic REPLACE_BASIC_AUTH",
"content-type": "application/json"
]
let parameters = [
"logicalUnit": 1,
"logicalUnitId": "LUN1"
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"logicalUnit\":1,\"logicalUnitId\":\"LUN1\"}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH",
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"logicalUnit\":1,\"logicalUnitId\":\"LUN1\"}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/iscsi-targets/313a3a3a6e69636b3a3a3a3a3a3a303a3a3a4f49445f24232140255f56/iscsi-logical-units");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"logicalUnit\":1,\"logicalUnitId\":\"LUN1\"}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
logicalUnitintegerint32
logicalUnitIdstring
application/json
logicalUnitintegerint32The Logical Unit Number (LUN) ID to associate with the logical unit. If this value is not supplied, the next free LUN ID will be used
The Logical Unit Number (LUN) ID to associate with the logical unit. If this value is not supplied, the next free LUN ID will be used
Example:
1logicalUnitIdstringEither the logical unit alias or the object ID of the logical unit
Either the logical unit alias or the object ID of the logical unit
Example:
"LUN1"REQUEST
{
"logicalUnit": 1,
"logicalUnitId": "LUN1"
}Responses